var hamburger = document.querySelector(".hamburger");
hamburger.addEventListener("click", function(){
    document.querySelector("body").classList.toggle("active");
})


function toggleDarkMode() {
  document.body.classList.toggle('dark-mode');
}




  function toggleDarkMode() {
    document.body.classList.toggle("dark-mode");
  }
  function togglePopup(popupId) {
    document.getElementById(popupId).classList.toggle("active");
}
// کلیک بر روی دکمه نمایش محتوا
document.getElementById('loadContentButton').addEventListener('click', function() {
  // استفاده از Fetch API برای دریافت محتوای صفحه داخلی
  fetch('internal.html')
      .then(response => {
          // بررسی موفقیت درخواست
          if (!response.ok) {
              throw new Error('درخواست ناموفق بود.');
          }
          // بازیابی و نمایش محتوای صفحه داخلی
          return response.text();
      })
      .then(data => {
          document.getElementById('content').innerHTML = data;
      })
      .catch(error => {
          console.error('خطا در درخواست صفحه داخلی:', error);
      });
});